Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #160 (closed defect: worksforme)

Opened 14 years ago

Last modified 12 years ago

Kenerl Panic when Setting WDS with WEP encrption

Reported by: actionmask@gmail.com Assigned to:
Priority: major Milestone: version 1.0.0 - first stable release
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

Environment:one VAP in APmode and one VAP in wds mode

setting wds to wep key. ex iwconfig wds1 key 1111111111 then kernel panic happen.

message: kernel BUG at schde:564! invalid operand:0000

Change History

11/20/05 10:04:59 changed by mrenzmann

Which revision of madwifi-ng are you using? And please give the exact chain of commands necessary to reproduce this problem.

11/29/05 18:50:54 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to invalid.

Closing this ticket as invalid due to lack of response.

@Reporter: Feel free to reopen this ticket once you can give the requested information. Thanks.

07/12/06 14:13:32 changed by chandramani@esqube.com

  • status changed from closed to reopened.
  • resolution deleted.

Even I am having the same problem. Setup works fine without any security snd even after setting key to the VAP in AP mode. But I doubt whether setting key to the VAP in AP mode leads to a WEP secured WDS link or not. Please clarify. When setting wds to wep key most of the time kernel panic happens. Sometime I am able to set the key but can not ping a secured WDS from another one cofigured for WEP with identical key.

I am using madwifi-ng-r1480-20060322.

Commands to reproduce the problem

wlanconfig ath0 create wlandev wifi0 wlanmode ap wlanconfig ath1 create wlandev wifi0 wlanmode wds iwconfig ath0 essid "myid" channel 1 iwpriv ath1 wds_add <mac of the peer wds ap> iwpriv ath1 wds 1 ifconfig ath1 up ifconfig ath0 up brctl addbr br0 brctl addif br0 ath1 brctl addif br0 ath0 ifconfig br0 "some:ip:addr" up

(these command will give an unsecured WDS setup with AP and WDS on VAPs 'ath0' and 'ath1' respectively.)

now try

iwconfig ath1 key [1] s:secretkey

and mostly kernel panic happens.

Even if I am able to set the key (very few times) and prepare two different WDSs this way on two different base devices, I cann't ping one from another. While withput seting the keys one can be pinged from another -- I have already tested.

10/15/06 21:27:18 changed by mrenzmann

  • patch_attached changed.

Please check if the problem still exists in current snapshots with HAL v0.9.18.0. If so, please provide a dump of the kernel oops message - DevDocs/KernelOops might be helpful.

11/26/07 06:55:10 changed by mtaylor

  • status changed from reopened to closed.
  • resolution set to worksforme.